package com.tolfy.demo12345.controller;

//import com.example.demo123.service.UserService;
import com.tolfy.demo12345.entity.User;
import com.tolfy.demo12345.service.UserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author Tuerlechat,
 * @Date 2022/12/5
 */
@Api(tags = "admin测试")
@RestController
@AllArgsConstructor
@RequestMapping("/admin")
@Slf4j
public class AdminController {

    private final UserService userService;

    @ApiOperation(value = "这是admin接口测试")
    @PostMapping("/imAdmin") //post请求
    public String imAdmin(@ApiParam(name = "str", value = "张三", required = true) String str) {
        return "我是admin接口。";
    }

    @ApiOperation(value = "获取用户信息")
    @GetMapping("/getUserInfo") //get请求
    public String getUserInfo(@ApiParam(name = "id", value = "用户id", required = true)Long id) {
        try {
            String name = userService.test(id);

//            List<User> list = userService.list();
            return name;
        }catch (Exception e){
            e.printStackTrace();
            return null;
        }
    }

}
